> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voyantcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Member

> Remove a member from a marketing list.

## Method

`DELETE` `/v1/comms/lists/:id/members/:memberId`

## Path Parameters

<ParamField path="id" type="string" required>The list ID.</ParamField>
<ParamField path="memberId" type="string" required>The member ID.</ParamField>

## Headers

<ParamField header="Authorization" type="string" required>Bearer token (requires `comms:delete`).</ParamField>

## Request Example

<RequestExample>
  ```bash cURL theme={null}
  curl -X DELETE "https://api.voyantcloud.com/v1/comms/lists/lists_01J0CBFPXW7SP2N8A9Q7T2048Q/members/list_members_01J0CBFPXW7SP2N8A9Q7T2048Q" \
    -H "Authorization: Bearer $VOYANT_API_KEY"
  ```

  ```javascript Node.js theme={null}
  const listId = "lists_01J0CBFPXW7SP2N8A9Q7T2048Q"
  const memberId = "list_members_01J0CBFPXW7SP2N8A9Q7T2048Q"
  const res = await fetch(
    `https://api.voyantcloud.com/v1/comms/lists/${listId}/members/${memberId}`,
    {
      method: "DELETE",
      headers: { Authorization: `Bearer ${process.env.VOYANT_API_KEY}` },
    }
  )
  // 204 No Content on success
  ```

  ```python Python theme={null}
  import os, requests

  list_id = "lists_01J0CBFPXW7SP2N8A9Q7T2048Q"
  member_id = "list_members_01J0CBFPXW7SP2N8A9Q7T2048Q"
  resp = requests.delete(
    f"https://api.voyantcloud.com/v1/comms/lists/{list_id}/members/{member_id}",
    headers={"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}"},
  )
  # 204 No Content on success
  ```
</RequestExample>

## Response Example

<ResponseExample>
  ```text 204 No Content theme={null}
  (empty body)
  ```

  ```json 404 Not Found theme={null}
  {
    "error": "Member not found"
  }
  ```
</ResponseExample>

<Tip>
  To temporarily stop sending to a member while preserving their history, use the [Update Member](/api-reference/comms/lists/update-member) endpoint to set status to `unsubscribed` instead of deleting.
</Tip>
